List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/external_plots_associations \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/external_plots_associations"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/external_plots_associations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/external_plots_associations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 1,
"system_id": 1,
"external_code": "EXT-001",
"external_reference": "REF-LOTE-A",
"created_at": "2025-01-15T10:30:00+00:00",
"modified_at": "2025-01-15T10:30:00+00:00",
"deleted_at": null,
"active": true
},
{
"id": 2,
"system_id": 1,
"external_code": "EXT-002",
"external_reference": "REF-LOTE-B",
"created_at": "2025-01-16T14:00:00+00:00",
"modified_at": "2025-01-16T14:00:00+00:00",
"deleted_at": null,
"active": true
}
],
"current_page": 1,
"next_page": 1,
"total_pages": 1,
"total_items": 2
}
Version 3 > External Plot Association
List
Retorna asociaciones entre lotes SIMA y códigos externos de sistemas de integración. Parámetros: id, plot_id, system_id, external_code, external_reference, page, size, created_at_from, created_at_to, updated_at_from, updated_at_to, deleted_at_from, deleted_at_to, active. Requiere permiso LIST sobre Plot.
GET
/
api
/
v3
/
third_party
/
external_plots_associations
List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/external_plots_associations \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/external_plots_associations"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/external_plots_associations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/external_plots_associations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 1,
"system_id": 1,
"external_code": "EXT-001",
"external_reference": "REF-LOTE-A",
"created_at": "2025-01-15T10:30:00+00:00",
"modified_at": "2025-01-15T10:30:00+00:00",
"deleted_at": null,
"active": true
},
{
"id": 2,
"system_id": 1,
"external_code": "EXT-002",
"external_reference": "REF-LOTE-B",
"created_at": "2025-01-16T14:00:00+00:00",
"modified_at": "2025-01-16T14:00:00+00:00",
"deleted_at": null,
"active": true
}
],
"current_page": 1,
"next_page": 1,
"total_pages": 1,
"total_items": 2
}
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
OK
The response is of type object.

